gfs2_grow(8)

NAME
gfs2_grow - Expand a GFS2 filesystem

SYNOPSIS
gfs2_grow [OPTION]... <DEVICE|MOUNTPOINT>...

DESCRIPTION
gfs2_grow is used to expand a GFS2 filesystem after the device upon which the filesystem resides has also been expanded. By running gfs2_grow on a GFS2 filesystem, you are requesting that any spare space between the current end of the filesystem and the end of the device is filled with a newly initialized GFS2 filesystem extension. When this operation is complete, the resource group index for the filesystem is updated so that all nodes in the cluster can use the extra storage space that has been added.

See lvmlockd(8) for the procedure to extend and refresh the logical volume prior to running gfs2_grow.

You may only run gfs2_grow on a mounted filesystem; expansion of unmounted filesystems is not supported. You only need to run gfs2_grow on one node in the cluster. All the other nodes will see the expansion has occurred and automatically start to use the newly available space.

You must be superuser to execute gfs2_grow. The gfs2_grow tool tries to prevent you from corrupting your filesystem by checking as many of the likely problems as it can. When expanding a filesystem, only the last step of updating the resource index affects the currently mounted filesystem and so failure part way through the expansion process should leave your filesystem in its original unexpanded state.

You can run gfs2_grow with the -T flag to get a display of the current state of a mounted GFS2 filesystem.

The gfs2_grow tool uses the resource group (RG) size that was originally calculated when mkfs.gfs2 was done. This allows tools like fsck.gfs2 to better ensure the integrity of the file system. Since the new free space often does not lie on even boundaries based on that RG size, there may be some unused space on the device after gfs2_grow is run.

OPTIONS

-D  Print out debugging information about the filesystem layout.

-h  Prints out a short usage message and exits.

-q  Be quiet. Don't print anything.

-T  Test. Do all calculations, but do not write any data to the disk and do not expand the filesystem. This is used to discover what the tool would have done were it run without this flag.

-V  Version. Print out version information, then exit.

BUGS

There is no way to shrink a GFS2 filesystem.

SEE ALSO
mkfs.gfs2(8) gfs2_jadd(8) lvextend(8) lvmlockd(8)